eth_call

Executes a new message call immediately without creating a transaction on the block chain.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on both BNB Smart Chain and opBNB Chain.

The format of a BNB Smart Chain endpoint:
https://bsc-mainnet.nodereal.io/v1/{{apiKey}}

https://bsc-testnet.nodereal.io/v1/{{apiKey}}

The format of an opBNB Chain endpoint:

https://opbnb-mainnet.nodereal.io/v1/{{apiKey}}

https://opbnb-testnet.nodereal.io/v1/{{apiKey}}

Path Params
string
required
Defaults to 64a9df0874fb4a93b9d0a3849de012d3
Body Params

Accepts the transaction call object.

integer
Defaults to 1
string
Defaults to 2.0
string
enum
Defaults to eth_call
Allowed:
params
array
length between 2 and 2
params

The transaction call object

string

20 Bytes - The address the transaction is sent from.

string
required

20 Bytes - The address the transaction is directed to

string

Integer of the gasPrice used for each paid gas.

NOTE: most of our users (95%+) never set the gasPrice on eth_call.

string

Integer of the value sent with this transaction

string

Hash of the method signature and encoded parameters

string

Integer of the gas provided for the transaction execution. eth_call consumes zero gas, but this parameter may be needed by some executions.

NOTE: this parameter has a cap of 550 Million gas per request. Reach out to us at [email protected] if you want to increase this limit!

The transaction call object

string

20 Bytes - The address the transaction is sent from.

string
required

20 Bytes - The address the transaction is directed to

string

Integer of the gasPrice used for each paid gas.

NOTE: most of our users (95%+) never set the gasPrice on eth_call.

string

Integer of the value sent with this transaction

string

Hash of the method signature and encoded parameters

string

Integer of the gas provided for the transaction execution. eth_call consumes zero gas, but this parameter may be needed by some executions.

NOTE: this parameter has a cap of 550 Million gas per request. Reach out to us at [email protected] if you want to increase this limit!

Response

Language
LoadingLoading…
Response
Choose an example:
application/json